6.0.0-git
2021-09-18

[#8621] Syncronisation between Funambol version 7.0 or higher and horde fails
Summary Syncronisation between Funambol version 7.0 or higher and horde fails
Queue Synchronization
Type Bug
State Resolved
Priority 2. Medium
Owners jan (at) horde (dot) org
Requester sascha.bendix (at) localroot (dot) de
Created 2009-10-01 (4370 days ago)
Due
Updated 2010-01-13 (4266 days ago)
Assigned 2009-10-08 (4363 days ago)
Resolved 2009-12-30 (4280 days ago)
Milestone
Patch No

History
2009-12-30 01:15:32 Jan Schneider Assigned to Jan Schneider
State ⇒ Resolved
 
2009-12-04 15:39:59 Jan Schneider State ⇒ No Feedback
 
2009-10-26 14:29:59 Jan Schneider Comment #4 Reply to this comment
At least the funambol client for PocketPC request a syncml table
called configuration and fails if it doesn't exist.
How exactly does it fail? In the past there was an error inside Horde, 
but I don't see this in your logs. Do you get an error in the Funambol 
client? Which error exactly? Can you post the Funambol logs here?
2009-10-08 20:47:31 sascha (dot) bendix (at) localroot (dot) de Comment #3
New Attachment: sync.zip Download
Reply to this comment
Here are the requested debugging informations:

   * used version was Horde Groupware Webmail Edition 1.2.4

   * there were no php errors in the log

   * the contents of /tmp/sync are attached (with two tries of synchronisation)


2009-10-08 16:41:25 Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment
Please provide a SyncML log for such a failed synchronization. Read 
http://wiki.horde.org/SyncMLProblemReport and follow the steps to 
generate complete SyncML debugging information.
2009-10-01 15:07:48 sascha (dot) bendix (at) localroot (dot) de Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ Syncronisation between Funambol version 7.0 or higher and horde fails
Queue ⇒ Synchronization
Milestone ⇒
Patch ⇒ No
Reply to this comment
At least the funambol client for PocketPC request a syncml table 
called configuration and fails if it doesn't exist.



In the horde wiki (http://wiki.horde.org/SyncHowTo#toc10) there is a 
hint, that the table is only used on the first connection.



A solution (inspired on 
http://southbrain.com/south/2009/06/horde-and-funambol-windows-mob.html) would 
be to provide the table and ignore all data which is written to it and 
return empty strings.

Saved Queries